Vai al contenuto principale
GET
/
v3
/
enterprise
/
sessions
/
{devin_id}
/
attachments
Elenca gli allegati della sessione
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/sessions/{devin_id}/attachments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v3/enterprise/sessions/{devin_id}/attachments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v3/enterprise/sessions/{devin_id}/attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "attachment_id": "<string>",
    "name": "<string>",
    "url": "<string>",
    "content_type": "<string>"
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Il devin_id è l’ID di sessione con il prefisso devin- (ad esempio devin-abc123).

Autorizzazioni

Richiede un utente di servizio con l’autorizzazione ViewAccountSessions a livello Enterprise.

Autorizzazioni

Authorization
string
header
obbligatorio

Credenziale dell'utente del servizio (prefisso: cog_)

Parametri del percorso

devin_id
string | null
obbligatorio

ID sessione Devin (prefisso: devin-)

Esempio:

"devin-abc123def456"

Parametri della query

org_id
string | null

Risposta

Risposta riuscita

attachment_id
string
obbligatorio
name
string
obbligatorio
source
enum<string>
obbligatorio
Opzioni disponibili:
devin,
user
url
string
obbligatorio
content_type
string | null